Subject: bug#22213: 24.5; please allow specification or elimination of timestamp in autoloads

From: Stefan Monnier <[email-masked]>
Date: Mon, 21 Dec 2015 10:59:55 -0500

> A question about the timestamps in loaddefs files:
> Why do we need to store the last modtime for each input file?
> Why can't we just compare current modtime of input file against that of
> the loaddefs file itself? Is there a reason not to trust the latter?

Right, now I remember: for lisp/loaddefs.el I think the timestamps
wouldn't be needed and we could use the file's modtime instead.

But for autoloads.el in general this is not true because of the
existence of entry points such as update-file-autoloads which mean that
the autoloads file may be updated for some of the files it covers rather
than for all of them.

        Stefan